"use client";

import Sidebar from "@/components/Sidebar";
import Topbar from "@/components/Topbar";
import { usePrivy } from "@privy-io/react-auth";
import { useRouter } from "next/navigation";

export default function DashboardLayout({
    children,
}: Readonly<{
    children: React.ReactNode;
}>) {
    const { ready, authenticated } = usePrivy();
    const router = useRouter();
    if (!ready) {
        return <></>;
    }
    if (ready && !authenticated) {
        router.push("/");
        return null;
    }
    return (
        <main className="relative z-10">
            <div className="mx-auto container max-w-[1720px] px-14">
                <div className="min-h-[100svh] p-14 grid grid-cols-[268px_auto] gap-12 overflow-hidden">
                    <Sidebar />

                    <div className="hide-scrollbar py-5 h-[calc(100svh-115px)] overflow-y-auto">
                        <Topbar />
                        {children}
                    </div>
                </div>
            </div>
        </main>
    );
}
