"use client";

import { PrivyProvider } from "@privy-io/react-auth";
import { toSolanaWalletConnectors } from "@privy-io/react-auth/solana";

const solanaConnectors = toSolanaWalletConnectors({
    // By default, shouldAutoConnect is enabled
    shouldAutoConnect: true,
});

export default function Providers({ children }: { children: React.ReactNode }) {
    return (
        <PrivyProvider
            appId="cm9sh02lb00lblb0mmebf4xle"
            config={{
                appearance: {
                    accentColor: "#0ce87e",
                    theme: "#0a3726",
                    showWalletLoginFirst: false,
                    walletChainType: "solana-only",
                    walletList: ["phantom"],
                },
                externalWallets: {
                    solana: {
                        connectors: solanaConnectors,
                    },
                },
                loginMethods: ["wallet", "email", "discord"],
                embeddedWallets: {
                    createOnLogin: "all-users",
                    requireUserPasswordOnCreate: false,
                },
                mfa: {
                    noPromptOnMfaRequired: false,
                },
            }}
        >
            {children}
        </PrivyProvider>
    );
}
